/**
* v_index.js
* Version: 0.1
* User: wy
* Date: 2017-09-07
* Copyright(c)  2017. U-GEN Tech.Co,Ltd. All Rights Reserved.
* router bindUser
*/
import VueRouter from 'vue-router';
Vue.use(VueRouter);

import {iot, uPublic} from '../../public/public.js';

//ID-姓名绑定路由
import bindUserHelp from './r_bindUserHelp.vue';
//绑定用户路由
import bindUser from './r_bindUser.vue';
//用户列表路由
import userList from './r_userList.vue';

iot.ready(init);

function init() {
	const routes = [
		{ path: '/', component: bindUserHelp },
	  	{ path: '/bindUser', component: bindUser },
	  	{ path: '/userList', component: userList }
	]

	const router = new VueRouter({
		routes
	})

	const app = new Vue({
		router
	}).$mount('#app');
}